java.lang.reflect

## Interface GenericDeclaration

- All Known Implementing Classes:
    Class, Constructor, Method

      public interface GenericDeclaration

  A common interface for all entities that declare type variables.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeVariable<?>[]` | `getTypeParameters()` Returns an array of `TypeVariable` objects that represent the type variables declared by the generic declaration represented by this `GenericDeclaration` object, in declaration order.

- - ### Method Detail

    - #### getTypeParameters

          TypeVariable<?>[] getTypeParameters()

      Returns an array of `TypeVariable` objects that represent the type variables declared by the generic declaration represented by this `GenericDeclaration` object, in declaration order. Returns an array of length 0 if the underlying generic declaration declares no type variables.
      Returns:
        an array of `TypeVariable` objects that represent the type variables declared by this generic declaration
      Throws:
        `GenericSignatureFormatError` - if the generic signature of this generic declaration does not conform to the format specified in The Java™ Virtual Machine Specification

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.